System for installing command-line Unix applications and tools on Mac OS X. Free and open-source.

learn more… | top users | synonyms

0
votes
0answers
16 views

GoogleCL hangs in OS X

My GoogleCL installed with Homebrew brew install googlecl has problems. First I need to install gdata with pip install gdata and then after executing simple commands like google picasa list it ...
0
votes
0answers
34 views

Building mysql with readline instead of editline

I'd really like to be able to use readline instead of editline with the mysql client, but I can't find out how to do this. The bottled mysql that brew installs by default for mavericks is using ...
0
votes
0answers
49 views

Unable to install Gtk for RGtk2 on OS X 10.9

I have been trying to install Gtk to use it with RGtk2 on OS X 10.9. So far the following options haven't worked: building from source (did get some errors during the meta-gtk-osx-bootstrap build) ...
0
votes
0answers
113 views

Making Homebrew and R.app live together happily

I just upgraded to Mavericks (10.9.2) and after years of using MacPorts I decided to use Homebrew. I successfully installed Homebrew, but brew doctor shows: brew doctor Warning: Unbrewed dylibs were ...
0
votes
1answer
42 views

Homebrew vim already installed when brew update displays Vim as a updated formula

simple questions, when I run brew update here is the result [admin@mb125:~/src/test] : brew update Updated Homebrew from 16bd5c86 to 24073dc0. ==> New Formulae mal4s nbimg ==> Updated ...
0
votes
0answers
63 views

install mysql for php 5.5 after install php with php-fpm and without mysql at first

I've installed nginx, php-fpm with brew via this command brew install --without-apache --with-fpm --without-mysql php55 now I need to adding MySql driver/adapter so my PHP code could connect to my ...
0
votes
1answer
184 views

GCC 4.7 (via brew) keeps including from “/usr/include/c++/4.2.1”

This one is driving me crazy: I need to use lot of stuff which simply does not compile with the standard clang/llvm compilers which come with Xcode 5 (on Mac OS X 10.8), so I decided to install gcc47 ...
0
votes
1answer
129 views

How to completely remove homebrew?

I am seeking for the equivalent of rvm implode In the Ruby rvm world rvm implode completely uninstalls everything ruby related installed via rvm, including rvm too. Is there anything similar for ...
0
votes
0answers
25 views

to run latest emacs in terminal by typing “emacs” [duplicate]

Question: Because I use emacs-live, I used homebrew to install emacs-24.3. Now everytime I want to launch emacs of version 24.3 in terminal, I have to type "emacs-24.3" --- if I just type "emacs", it ...
0
votes
0answers
56 views

How to tell PHP-FPM to use PHP 5.4?

I am trying to update to PHP 5.4 using https://github.com/josegonzalez/homebrew-php. However, I cannot find any PHP-related .plist files anywhere in /usr/local for updating FPM to use PHP 5.4 as ...
0
votes
1answer
40 views

Is it possible to create an own MacPorts (proxy)repository/server?

Is it possible to deploy MacPorts server on an own server periodically updating it from global one (i.e. create MacPorts distribution/update proxy server)? So that all computers within organization ...
0
votes
0answers
316 views

Should I worry about brew doctor warnings about macfuse and FUSE for OS X?

After installing Homebrew, I ran brew doctor (as suggested) and got the following warnings: $ brew doctor Warning: Unbrewed dylibs were found in /usr/local/lib. If you didn't put them there on ...
0
votes
1answer
128 views

Unable to install software using brew install

I am unable to install software using brew install. I have tried brew cleanup & brew update, and deleting the file, but it just does not work! This is the error message: ==> Downloading ...
0
votes
0answers
38 views

Compiling a gimp plugin

I wish to compile the Gimp plugin "Save for Web" on Mac 10.8.4. I use brew for package management but libgimp2-dev is missing. I've downloaded Gimp 2.8.6 from here . I've downloaded the latest ...
0
votes
0answers
95 views

Why aren't characters being sent with synergy?

I've used synergy within various configurations for many years. I just set it up on a 10.8 Mac Mini (as server) and a 10.8 11" MBA (as client). Both machines had this installed via homebrew (synergys ...
0
votes
0answers
299 views

PyQt with Homebrew'd Python3 and Systemw-wide Qt5

I'm trying to get my software development environment set up on my new MBA, but it's being a pain. Thanks to this awesome link I got as far as the Qt section. However, I cannot get past the Qt ...
0
votes
1answer
406 views

brew uses /usr/bin/autom4te in stead of /usr/local/bin/autom4te

I'm trying to brew weechat, which has p11-kit as a dependency. $ brew install p11-kit ==> Downloading http://p11-glue.freedesktop.org/releases/p11-kit-0.18.1.tar.gz Already downloaded: ...
0
votes
0answers
213 views

MySQL error 2006 MySQL server has gone away after upgrade to 5.6.10 using homebrew on Max OS X 10.8.3

I upgraded my installation of MySQL on my Mac OS X 10.8.3 using homebrew brew install mysql Everything seemed to go smoothly, but...not really, as it turns out. I cannot add a new user (neither ...
0
votes
2answers
279 views

How can I install tk on OS X?

I am getting warnings and empty popup boxes when compiling and loading R packages that depend on tk. They say that tk was not installed correctly. I am using homebrew, but I can't tell which package ...
0
votes
1answer
361 views

Problem updating homebrew

Trying to update homebrew, I get this: $ brew update error: Your local changes to the following files would be overwritten by merge: .gitignore Library/Contributions/brew_bash_completion.sh ...
0
votes
0answers
1k views

Can't install Homebrew on MacBook Pro, password field won't input

I need to install Homebrew. I am unable to input the password when prompted in the Terminal - nothing happens when I type, only when I hit enter. I follow the instructions specified in the book I'm ...
0
votes
1answer
249 views

Installing wine with osxwinebuilder

I try to install wine with osxwinebuilder. When I do, I get the following error: ... checking if ccache g++ supports -c -o file.o... yes checking if ccache g++ supports -c -o file.o... (cached) yes ...
0
votes
1answer
254 views

Installing Xcode 4.2 on top of Xcode 4.1

I was wondering, is it safe to install Xcode 4.2 on top of Xcode 4.1 ? Will it break things like homebrew or other, that uses command line tools provided by Xcode ?
0
votes
1answer
25 views

Homebrew and existent software in /usr/local

Is it ok to install homebrew in default(for homebrew) deirectory /usr/local if I've already have installed software there. In other words, if Mysql and GPGTool already installed in /usr/local and ...